package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 更新监测对象 trs_site_update
 * 
 * @author ruoyi
 * @date 2025-06-09
 */
public class TrsSiteUpdate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 其他1 */
    @Excel(name = "站点类型")
    private String other1;

    /** 标识(站点id) */
    @Excel(name = "标识(站点id)")
    private Long record;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;

    /** 站点地址 */
    //@Excel(name = "站点地址")
    private String siteurl;

    /** 状态 */
    //@Excel(name = "状态")
    private String status;

    /** 最新更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最新更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    /** 更新要求 */
    @Excel(name = "更新要求")
    private String desc;

    /** 更新情况 */
    @Excel(name = "未更新时长（天）")
    private Long outday;

    /** 扫描时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "扫描时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date scantime;


    /** 其他2 */
    private String other2;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRecord(Long record) 
    {
        this.record = record;
    }

    public Long getRecord() 
    {
        return record;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setSiteurl(String siteurl) 
    {
        this.siteurl = siteurl;
    }

    public String getSiteurl() 
    {
        return siteurl;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setDesc(String desc) 
    {
        this.desc = desc;
    }

    public String getDesc() 
    {
        return desc;
    }

    public void setOutday(Long outday) 
    {
        this.outday = outday;
    }

    public Long getOutday() 
    {
        return outday;
    }

    public void setScantime(Date scantime) 
    {
        this.scantime = scantime;
    }

    public Date getScantime() 
    {
        return scantime;
    }

    public void setOther1(String other1) 
    {
        this.other1 = other1;
    }

    public String getOther1() 
    {
        return other1;
    }

    public void setOther2(String other2) 
    {
        this.other2 = other2;
    }

    public String getOther2() 
    {
        return other2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("record", getRecord())
            .append("sitename", getSitename())
            .append("siteurl", getSiteurl())
            .append("status", getStatus())
            .append("time", getTime())
            .append("desc", getDesc())
            .append("outday", getOutday())
            .append("scantime", getScantime())
            .append("other1", getOther1())
            .append("other2", getOther2())
            .toString();
    }
}
